<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsRange Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_range-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsRange Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class whose objects can be used to store a range. It provides method to check whether a value is inside the range.  
 <a href="struct_xs_range.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acc57a299fec72386231a3efc334dd155"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc57a299fec72386231a3efc334dd155"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#acc57a299fec72386231a3efc334dd155">XsRange</a> (int f=0, int l=-1)</td></tr>
<tr class="memdesc:acc57a299fec72386231a3efc334dd155"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs a range starting at <em>f</em> and ending at <em>l</em>. Default values are 0 and -1 respectively. <br /></td></tr>
<tr class="separator:acc57a299fec72386231a3efc334dd155"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2b537cecffd885d6f99d6b5415a686b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2b537cecffd885d6f99d6b5415a686b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#ac2b537cecffd885d6f99d6b5415a686b">XsRange</a> (const <a class="el" href="struct_xs_range.html">XsRange</a> &amp;other)</td></tr>
<tr class="memdesc:ac2b537cecffd885d6f99d6b5415a686b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructs a range based upon <em>other</em>. <br /></td></tr>
<tr class="separator:ac2b537cecffd885d6f99d6b5415a686b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c1c3f60fb0beb0ef50f6bab50868f68"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6c1c3f60fb0beb0ef50f6bab50868f68"></a>
<a class="el" href="struct_xs_range.html">XsRange</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#a6c1c3f60fb0beb0ef50f6bab50868f68">operator=</a> (const <a class="el" href="struct_xs_range.html">XsRange</a> &amp;other)</td></tr>
<tr class="memdesc:a6c1c3f60fb0beb0ef50f6bab50868f68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assigns the range <em>other</em> to this. <br /></td></tr>
<tr class="separator:a6c1c3f60fb0beb0ef50f6bab50868f68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2aa44e6d524f4489693ce7052cf91bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2aa44e6d524f4489693ce7052cf91bb"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#ac2aa44e6d524f4489693ce7052cf91bb">count</a> () const </td></tr>
<tr class="memdesc:ac2aa44e6d524f4489693ce7052cf91bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of values in the range. <br /></td></tr>
<tr class="separator:ac2aa44e6d524f4489693ce7052cf91bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499fd48d587c9ec1227a214568e07bf4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a499fd48d587c9ec1227a214568e07bf4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#a499fd48d587c9ec1227a214568e07bf4">interval</a> () const </td></tr>
<tr class="memdesc:a499fd48d587c9ec1227a214568e07bf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of values in the range. <br /></td></tr>
<tr class="separator:a499fd48d587c9ec1227a214568e07bf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69d644cb78d3138440638e407eb2ef21"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69d644cb78d3138440638e407eb2ef21"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#a69d644cb78d3138440638e407eb2ef21">contains</a> (int i) const </td></tr>
<tr class="memdesc:a69d644cb78d3138440638e407eb2ef21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the range contains the given value <em>i</em>. <br /></td></tr>
<tr class="separator:a69d644cb78d3138440638e407eb2ef21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d44f70766dd7513dedd34b2c330bbc5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d44f70766dd7513dedd34b2c330bbc5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#a8d44f70766dd7513dedd34b2c330bbc5">setRange</a> (int f, int l)</td></tr>
<tr class="memdesc:a8d44f70766dd7513dedd34b2c330bbc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the range to <em>f</em> - <em>l</em>. <br /></td></tr>
<tr class="separator:a8d44f70766dd7513dedd34b2c330bbc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f35726001286ac09a369a53b6a6dc92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2f35726001286ac09a369a53b6a6dc92"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#a2f35726001286ac09a369a53b6a6dc92">empty</a> () const </td></tr>
<tr class="memdesc:a2f35726001286ac09a369a53b6a6dc92"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the range is empty. <br /></td></tr>
<tr class="separator:a2f35726001286ac09a369a53b6a6dc92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac04f3a04d0e65a0be338a54b8c6ff3cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac04f3a04d0e65a0be338a54b8c6ff3cc"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#ac04f3a04d0e65a0be338a54b8c6ff3cc">first</a> () const </td></tr>
<tr class="memdesc:ac04f3a04d0e65a0be338a54b8c6ff3cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the <em>first</em> value of the range. <br /></td></tr>
<tr class="separator:ac04f3a04d0e65a0be338a54b8c6ff3cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bb9536afec119d00e3179432b6c87fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7bb9536afec119d00e3179432b6c87fd"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#a7bb9536afec119d00e3179432b6c87fd">last</a> () const </td></tr>
<tr class="memdesc:a7bb9536afec119d00e3179432b6c87fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the <em>last</em> value of the range. <br /></td></tr>
<tr class="separator:a7bb9536afec119d00e3179432b6c87fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab215d34eb91613274b6a6c4c6d272ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab215d34eb91613274b6a6c4c6d272ce"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#aab215d34eb91613274b6a6c4c6d272ce">operator==</a> (const <a class="el" href="struct_xs_range.html">XsRange</a> &amp;other) const </td></tr>
<tr class="memdesc:aab215d34eb91613274b6a6c4c6d272ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this is equal to other. <br /></td></tr>
<tr class="separator:aab215d34eb91613274b6a6c4c6d272ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6201541e9496da7831e26cf07c07b717"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6201541e9496da7831e26cf07c07b717"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_range.html#a6201541e9496da7831e26cf07c07b717">operator&lt;</a> (const <a class="el" href="struct_xs_range.html">XsRange</a> &amp;other) const </td></tr>
<tr class="memdesc:a6201541e9496da7831e26cf07c07b717"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if start of this is less than start of other. <br /></td></tr>
<tr class="separator:a6201541e9496da7831e26cf07c07b717"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:ga13553237cb71fff5792dda83f4fa0126"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga13553237cb71fff5792dda83f4fa0126">XsRange_count</a> (const <a class="el" href="struct_xs_range.html">XsRange</a> *)</td></tr>
<tr class="memdesc:ga13553237cb71fff5792dda83f4fa0126"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of values in the range.  <a href="group__cinterface.html#ga13553237cb71fff5792dda83f4fa0126">More...</a><br /></td></tr>
<tr class="separator:ga13553237cb71fff5792dda83f4fa0126"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc5d89008b194a4404db1c8f0cdf35b2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gabc5d89008b194a4404db1c8f0cdf35b2">XsRange_interval</a> (const <a class="el" href="struct_xs_range.html">XsRange</a> *)</td></tr>
<tr class="memdesc:gabc5d89008b194a4404db1c8f0cdf35b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of values in the range.  <a href="group__cinterface.html#gabc5d89008b194a4404db1c8f0cdf35b2">More...</a><br /></td></tr>
<tr class="separator:gabc5d89008b194a4404db1c8f0cdf35b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa1cd63243ef6c97d8dc74100b696ae33"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaa1cd63243ef6c97d8dc74100b696ae33">XsRange_contains</a> (const <a class="el" href="struct_xs_range.html">XsRange</a> *, int i)</td></tr>
<tr class="memdesc:gaa1cd63243ef6c97d8dc74100b696ae33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the range contains the given value <em>i</em>. <br /></td></tr>
<tr class="separator:gaa1cd63243ef6c97d8dc74100b696ae33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaced1498a56faedf260bace911f210d46"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaced1498a56faedf260bace911f210d46">XsRange_setRange</a> (<a class="el" href="struct_xs_range.html">XsRange</a> *, int f, int l)</td></tr>
<tr class="memdesc:gaced1498a56faedf260bace911f210d46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a new range. <br /></td></tr>
<tr class="separator:gaced1498a56faedf260bace911f210d46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6de65698e6d8914121c8fde5832fd5cb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga6de65698e6d8914121c8fde5832fd5cb">XsRange_empty</a> (const <a class="el" href="struct_xs_range.html">XsRange</a> *)</td></tr>
<tr class="memdesc:ga6de65698e6d8914121c8fde5832fd5cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if the range is empty.  <a href="group__cinterface.html#ga6de65698e6d8914121c8fde5832fd5cb">More...</a><br /></td></tr>
<tr class="separator:ga6de65698e6d8914121c8fde5832fd5cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A class whose objects can be used to store a range. It provides method to check whether a value is inside the range. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
